# codecvt.h File Reference

Go to the source code of this file.

## Classes

- class std::__codecvt_abstract_base< _InternT, _ExternT, _StateT >
    Common base for codecvt functions. More...
- class std::codecvt< _InternT, _ExternT, _StateT >
    Primary class template codecvt.NB: Generic, mostly useless implementation. More...
- class std::codecvt< char, char, mbstate_t >
    class codecvt<char, char, mbstate_t> specialization. More...
- class std::codecvt< wchar_t, char, mbstate_t >
    class codecvt<wchar_t, char, mbstate_t> specialization. More...
- class std::codecvt_base
    Empty base class for codecvt facet [22.2.1.5]. More...
- class std::codecvt_byname< _InternT, _ExternT, _StateT >
    class codecvt_byname [22.2.1.6]. More...

## Namespaces

- namespace std

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file codecvt.h.